petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatICCFactorSymbolic

Performs symbolic incomplete Cholesky factorization for a symmetric matrix. Use MatCholeskyFactorNumeric() to complete the factorization.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatICCFactorSymbolic(Mat fact,Mat mat,IS perm,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| mat | - the matrix
| perm | - row and column permutation
| info | - structure containing

         levels - number of levels of fill.

         expected fill - as ratio of original fill.

### Output Parameter

fact -the factored matrix

### Notes

Most users should employ the KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatCholeskyFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Note: this uses the definition of level of fill as in Y. Saad, 2003

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### References

Y. Saad, Iterative methods for sparse linear systems Philadelphia: Society for Industrial and Applied Mathematics, 2003

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatICCFactorSymbolic_SeqAIJ in src/mat/impls/aij/seq/aijfact.c
MatICCFactorSymbolic_SeqAIJ_inplace in src/mat/impls/aij/seq/aijfact.c
MatICCFactorSymbolic_SeqAIJ_Bas in src/mat/impls/aij/seq/bas/basfactor.c
MatICCFactorSymbolic_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatICCFactorSymbolic_SeqBAIJ in src/mat/impls/baij/seq/baijfact.c
MatICCFactorSymbolic_SeqSBAIJ_MSR in src/mat/impls/sbaij/seq/sbaijfact2.c
MatICCFactorSymbolic_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaijfact2.c
MatICCFactorSymbolic_SeqSBAIJ_inplace in src/mat/impls/sbaij/seq/sbaijfact2.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages